/*********************************************************************\
**                               ________________________________    **
**    A n t h o n y             |________    __    __    ________|   **
**                                       |  |o_|  |o_|  |            **
**            T h y s s e n            __|   __    __   |__          **
**                                  __|   __|  |  |  |__   |__       **
**   `` Dragon Computing ! ''    __|   __|     |  |     |__   |__    **
**                              |_____|        |__|        |_____|   **
**                                                                   **
\*********************************************************************/
/*   A standard error report to the user  */
#include <Proto/Intuition.h>
#include <Proto/Arp.h>
#include <Libraries/ArpBase.h>
extern struct ArpBase *ArpBase;         /* this should be in ArpBase.h */


struct IntuiText
  BodyMsg = { 2,1,JAM1,14,8, NULL, NULL/* to be filled*/, NULL },
  OkMsg   = { 2,1,JAM1, 6,3, NULL, (UBYTE*)"Ok", NULL };


void
Warn( char *Msg )
  /* Warn the user of problem */
{
  BodyMsg.IText = (UBYTE*)Msg;
  (void)AutoRequest(NULL, &BodyMsg, NULL, &OkMsg,
       NULL, NULL, 60+IntuiTextLength(&BodyMsg), 54);
}


